# MkDocs in Code-Server

This setup allows you to edit and manage your MkDocs site directly within the Code-Server web IDE.

## Available Commands

The MkDocs-Material package has been installed in a virtual environment with all recommended extras. You can use the following commands in the terminal inside code-server:

### Basic usage

```bash
# Run mkdocs commands directly
mkdocs --help
mkdocs build
mkdocs serve --dev-addr=0.0.0.0:8000

# Or use the convenience script that automatically changes to the mkdocs directory
run-mkdocs --help
run-mkdocs build
run-mkdocs serve --dev-addr=0.0.0.0:8000
```

### Advanced Features

The following MkDocs-Material features are available:

1. **Social Cards** - Automatically generate social cards for your pages
2. **PDF Export** - Create PDF versions of your documentation
3. **Mermaid Diagrams** - Create flowcharts and diagrams
4. **Blog Support** - Use the blog plugin for creating blog posts
5. **Git Integration** - Show last update date from git history

### Installing Additional Plugins

If you need to install additional plugins:

```bash
# Install additional MkDocs plugins
pip install <plugin-name>

# For example, to install a new plugin
pip install mkdocs-your-plugin-name
```

## Troubleshooting

If you encounter issues with dependencies, run the following script to check the installation:

```bash
bash /home/bunker-admin/Changemaker/mkdocs-check.sh
```

## Installed Plugins

The following plugins are pre-installed:

- mkdocs-material (with imaging, recommended, and git extras)
- mkdocs-minify-plugin
- mkdocs-git-revision-date-localized-plugin
- mkdocs-glightbox
- mkdocs-redirects
- mkdocs-awesome-pages-plugin
- mkdocs-blog-plugin
- mkdocs-rss-plugin
- mkdocs-meta-descriptions-plugin
- mkdocs-swagger-ui-tag
- mkdocs-macros-plugin
- mkdocs-material-extensions
- mkdocs-section-index
- mkdocs-table-reader-plugin
- mkdocs-pdf-export-plugin
- mkdocs-mermaid2-plugin

## Folder Structure

- `/home/coder/mkdocs` - Your MkDocs project directory (shared with the mkdocs container)
- `/home/coder/.venv/mkdocs/bin` - Contains the mkdocs executable and installed plugins
- `/home/coder/.local/bin` - Contains convenience scripts
