# Monica CRM: Personal Relationship Management

Monica CRM is a self-hosted, open-source personal relationship management system. It helps you organize and record interactions with your friends, family, and professional contacts, focusing on the human aspects of your relationships rather than just sales metrics like traditional CRMs.

## Key Features

*   **Contact Management**: Store detailed information about your contacts (important dates, how you met, family members, etc.).
*   **Interaction Logging**: Record activities, conversations, and reminders related to your contacts.
*   **Reminders**: Set reminders for birthdays, anniversaries, or to get back in touch.
*   **Journaling**: Keep a personal journal that can be linked to contacts or events.
*   **Data Ownership**: Self-hosted, so you control your data.
*   **Focus on Personal Connections**: Designed to strengthen personal relationships.

## Getting Started with Monica CRM

### Accessing Monica CRM
1.  **URL**: Access Monica CRM locally via `http://localhost:8085/` (or your configured external URL).
2.  **Account Creation/Login**: The first time you access Monica, you will need to create an account (email, password). Subsequent visits will require you to log in.

### Basic Usage

1.  **Adding Contacts**:
    *   Look for an "Add Contact" or similar button.
    *   Fill in as much information as you know: name, relationship to you, important dates (birthdays), how you met, contact information, etc.
    *   You can add notes, family members, and even how they pronounce their name.

2.  **Logging Activities/Interactions**:
    *   On a contact's page, find options to "Log an activity," "Schedule a reminder," or "Add a note."
    *   Record details about conversations, meetings, or significant events.
    *   Set reminders to follow up or for important dates.

3.  **Using the Dashboard**: The dashboard usually provides an overview of upcoming reminders, recent activities, and statistics about your relationships.

4.  **Journaling**: Explore the journaling feature to write personal entries, which can sometimes be linked to specific contacts or events.

5.  **Managing Relationships**: Regularly update contact information and log interactions to keep your relationship history current.

## Use Cases within Changemaker

*   **Community Organizers**: Keep track of interactions with supporters, volunteers, and community members.
*   **Networking**: Manage professional contacts and remember important details about them.
*   **Personal Use**: Strengthen relationships with friends and family by remembering important dates and conversations.
*   **Campaign Management**: Track interactions with key stakeholders or donors (though for larger scale campaign CRM, a dedicated tool might be more suitable, Monica excels at the *personal* touch).

## Editing the Site

Monica CRM is a tool for managing personal relationships. It is not used for editing this documentation site. Site editing is done via **Code Server**.

## Further Information

*   **Monica CRM Official Website & Documentation**: [https://www.monicahq.com/](https://www.monicahq.com/) and [https://www.monicahq.com/docs](https://www.monicahq.com/docs)
