# Rocket.Chat: Team & Community Collaboration Platform

Rocket.Chat is a powerful, open-source team collaboration platform. It offers a wide range of communication tools, including real-time chat, channels, direct messaging, video conferencing, and file sharing. It's designed for teams and communities to communicate and collaborate effectively in a self-hosted environment.

## Key Features

*   **Real-time Chat**: Public channels, private groups, and direct messages.
*   **File Sharing**: Share documents, images, and other files.
*   **Voice and Video Conferencing**: Integrated audio and video calls.
*   **Guest Access**: Allow external users to participate in specific channels.
*   **Integrations**: Connect with other tools and services through bots and APIs.
*   **Customization**: Themes, permissions, and extensive administrative controls.
*   **Self-Hosted**: Full data sovereignty and control over user privacy.
*   **Mobile and Desktop Apps**: Access Rocket.Chat from various devices.

## Getting Started with Rocket.Chat

### Accessing Rocket.Chat
1.  **URL**: Access Rocket.Chat locally via `http://localhost:3004/` (or your configured external URL).
2.  **Account Registration/Login**: 
    *   The first time you access it, you or an administrator will need to set up an admin account and configure the server.
    *   Users will then need to register for an account or be invited by an admin.

### Basic Usage

1.  **Interface Overview**:
    *   **Channels/Rooms**: The main area for discussions. Channels can be public or private.
    *   **Direct Messages**: For one-on-one conversations.
    *   **User List**: See who is online and available.
    *   **Search**: Find messages, users, or channels.

2.  **Joining Channels**:
    *   Browse the directory of public channels or be invited to private ones.

3.  **Sending Messages**:
    *   Type your message in the input box at the bottom of a channel or direct message.
    *   Use Markdown for formatting, emojis, and @mentions to notify users.

4.  **Starting a Video/Audio Call**: Look for the call icons within a channel or direct message to start a voice or video call.

5.  **Managing Your Profile**: Update your profile picture, status, and notification preferences.

6.  **Administration (For Admins)**:
    *   Access the administration panel to manage users, permissions, channels, integrations, and server settings.

## Use Cases within Changemaker

*   **Internal Team Communication**: A central place for your campaign team or organization members to chat, share files, and coordinate efforts.
*   **Community Building**: Create a private or public chat community for your supporters or users.
*   **Project Collaboration**: Dedicate channels to specific projects or tasks.
*   **Support Channel**: Offer a real-time support channel for your users or community members.
*   **Alternative to Slack/Discord**: A self-hosted option providing similar functionality with more control.

## Editing the Site

Rocket.Chat is a communication platform. It is not used for editing this documentation site. Site editing is done via **Code Server**.

## Further Information

*   **Rocket.Chat Official Website**: [https://www.rocket.chat/](https://www.rocket.chat/)
*   **Rocket.Chat Documentation**: [https://docs.rocket.chat/](https://docs.rocket.chat/)
